%define base_name	kde-icons
%define theme_name	gorilla
%define	Theme_name	Gorilla
%define version		1.3.5
%define name		%{base_name}-%{theme_name}
%define release		1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Gorilla icon for KDE Desktop
License:	GPL
Group:		Graphical desktop/KDE
Source:		%{Theme_name}_Icons-v%{version}.tar.bz2
URL:		http://kde-look.org/content/show.php?content=6927
Requires:	kdebase
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Obsoletes:	kdemoreartwork-%{Theme_name}
Provides:	kdemoreartwork-%{Theme_name}

%description
Gorilla Icon for KDE
 
If you would like to see where I got most of the icons then check out
this site...
Jimmac - http://jimmac.musichall.cz/
 


%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{Theme_name}

%build

%install
install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/icons/%{theme_name}-%{version}
install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/apps/kdisplay/color-schemes/
install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/apps/kwin/icewm-themes/
install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/apps/ksplash/Themes/%{theme_name}/
install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/faces/
cp -r extras/color-scheme/{*.kcsrc,*.kcmrc} $RPM_BUILD_ROOT/%{_datadir}/apps/kdisplay/color-schemes/
cp -r extras/icewm/* $RPM_BUILD_ROOT/%{_datadir}/apps/kwin/icewm-themes/
cp -r extras/splash/* $RPM_BUILD_ROOT/%{_datadir}/apps/ksplash/Themes/%{theme_name}
cp -r 16x16/ 22x22/ 32x32/ 48x48/ 64x64/ 128x128/ index.desktop $RPM_BUILD_ROOT/%{_datadir}/icons/%{theme_name}-%{version}/
cp kdm/user-*.png $RPM_BUILD_ROOT/%{_datadir}/faces/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README 
%{_datadir}/icons/%{theme_name}-%{version}/
%{_datadir}/apps/kdisplay/color-schemes/
%{_datadir}/apps/kwin/icewm-themes/
%{_datadir}/apps/ksplash/Themes/%{theme_name}/
%{_datadir}/faces/user-*.png


%changelog
* Mon Apr 19 2004 Laurent Culioli <laurent@mandrake.org> 1.3.5-1mdk
- 1.3.5
- add splash theme
- add kdm users
- new naming scheme

* Wed Aug 27 2003 Laurent Culioli <laurent@pschit.net> 1.1-1mdk
- initial package

